org.apache.lucene.search

## Class ShardSearchingTestBase.SearcherExpiredException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.lucene.search.ShardSearchingTestBase.SearcherExpiredException

All Implemented Interfaces:
  Serializable

Enclosing class:
  ShardSearchingTestBase

    public static class ShardSearchingTestBase.SearcherExpiredException
    extends RuntimeException

Thrown when the lease for a searcher has expired.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ShardSearchingTestBase.SearcherExpiredException(String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ShardSearchingTestBase.SearcherExpiredException

    public ShardSearchingTestBase.SearcherExpiredException(String message)